Create Patch Rollback Job

Create Patch Rollback Job.
This method allows you to roll back the installed patches for a group.

KeyMeaningMandatoryData Type
accountidAccount identifierYesstring
nameName of the rollback jobYesstring
scheduleSchedule date (YYYY-MM-DD format), or immediate to run at onceYesstring
starttimeStart time (HH:MM:SS or HH:MM:AM/PM format)No (required unless schedule is immediate)string
startmessageMessage displayed at startNostring
endmessageMessage displayed at endNostring
autorebootAuto reboot option (TRUE/FALSE)Nostring
rebootmessageMessage before rebootNostring
startwindowtimeStart window time (HH:MM:AM/PM format)No (required unless schedule is immediate)string
forcerebootForce reboot optionNostring
autoreboottimeScheduled reboot time (YYYY-MM-DD.HH:MM:SS format)Nostring
rollbackpatchesinfoRollback patch details including device and patch ids (JSON array)Yesarray
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Patch.createRollbackTask(
  accountid="Demo Account",
  name="rollback job",
  schedule="immediate",
  rollbackpatchesinfo=[
      {
        "devicename": "2ca553c1988f",
        "rollbackpatchinfo": [
          {
            "patchid": "gcc-14-base"
          }
        ]
      }
    ]
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json